> ## Name

> FogMode - 3D API fog mode

> ## Usage

> FogMode = int(mode)

> ## Valid Enumerants

> mode: Linear, Exp, Exp2

> ## Description

> Specify the equation used to compute the fog blend factor. See the GL_FOG_MODE description on the OpenGL glFog manual page for details. See the D3DRS_FOGTABLEMODE render state description for DirectX 9.

> The standard reset callback sets the FogMode state to int(Exp).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> FogColor, FogCoordSrc, FogDensity, FogDistanceMode, FogEnable, FogEnd, FogStart, FogTableMode, FogVertexMode, RangeFogEnable